From 68b1f90f221de0f90d7560537e20f965c3442340 Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:52:34 +0200
Subject: [PATCH 1/5] libcameraservice: support the new offset memory allocation parameter

Pass offset to the MemoryHeapBase() constructor.

Change-Id: I8eefc027f1fd310a454d9eed90ee456df0b593ff
---
 .../libcameraservice/CameraHardwareInterface.h     |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/frameworks/base/services/camera/libcameraservice/CameraHardwareInterface.h b/frameworks/base/services/camera/libcameraservice/CameraHardwareInterface.h
index 34087b5..fbc8dbf 100644
--- a/frameworks/base/services/camera/libcameraservice/CameraHardwareInterface.h
+++ b/frameworks/base/services/camera/libcameraservice/CameraHardwareInterface.h
@@ -492,11 +492,11 @@ private:
 
     class CameraHeapMemory : public RefBase {
     public:
-        CameraHeapMemory(int fd, size_t buf_size, uint_t num_buffers = 1) :
+        CameraHeapMemory(int fd, size_t buf_size, uint_t num_buffers = 1, uint32_t offset = 0) :
                          mBufSize(buf_size),
                          mNumBufs(num_buffers)
         {
-            mHeap = new MemoryHeapBase(fd, buf_size * num_buffers);
+            mHeap = new MemoryHeapBase(fd, buf_size * num_buffers, 1, offset);
             commonInitialization();
         }
 
@@ -536,14 +536,14 @@ private:
         camera_memory_t handle;
     };
 
-    static camera_memory_t* __get_memory(int fd, size_t buf_size, uint_t num_bufs,
+    static camera_memory_t* __get_memory(int fd, size_t buf_size, uint_t num_bufs, uint32_t offset,
                                          void *user __attribute__((unused)))
     {
         CameraHeapMemory *mem;
         if (fd < 0)
             mem = new CameraHeapMemory(buf_size, num_bufs);
         else
-            mem = new CameraHeapMemory(fd, buf_size, num_bufs);
+            mem = new CameraHeapMemory(fd, buf_size, num_bufs, offset);
         mem->incStrong(mem);
         return &mem->handle;
     }
-- 
1.7.2.5

